## ModalDialog.ConfirmDialog

ModalDialog.ConfirmDialog — A simple dialog with a "Yes" and "No" button.

## Functions

| _init ()

## Properties

function | callback |

## Object Hierarchy

        Object
        ╰── ModalDialog.ModalDialog
            ╰── ModalDialog.ConfirmDialog

## Description

A confirmation dialog that calls `callback` and then destroys itself if user clicks "Yes". If the user clicks "No", the dialog simply destroys itself.

## Functions

### _init ()

    _init (string     description,
           function   callback);

Constructor function.

#### Parameters

description | label to display on the confirm dialog |
callback | function to call when user clicks "yes" |

## Property Details

### The `“callback”` property

      “callback”                 function

Callback when "Yes" is clicked